import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:guru_assistant/ui/guru_debug_page.dart';
import 'package:guru_utils/router/router.dart';

import '../../route/router.dart';
import 'debug_controller.dart';

class DebugPage extends GetWidget<DebugController> {
  const DebugPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final controller = Get.find<DebugController>();
    final model = Get.find<DebugController>().model;

    return GuruDebugPage(
      onEnterAdsDebug: () {
        RouteCenter.instance.openPath(Routes.adsDebug.path());
      },
      onEnterDataViewer: () {
        RouteCenter.instance.openPath(Routes.dataDebug.path());
      }
    );
  }
}